function [Xl,Xu,Xt,Yl] = generate_two_moons(nb_unl,thick)
% Generate points for the two moons toy problem
% [Xl,Xu,Xt,Yl] = generate_two_moons(nb_unl,thick) 
%  
% Xl, Xu and Xt are the labeled, unlabeled and test points
% respectively. The test points are uniformly distributed on
% a grid. Yl are the labels of the labeled points.
%
% nb_unl is the number of unlabeled points in each moon.
% thick is the thickness of the moons.
  
  
Xl = [[-1 0]; [1 0]]; 
Yl = [1; -1]; 

X=[2+thick*randn(2*nb_unl,1) pi*rand(2*nb_unl,1)];
Xu=ones(2*nb_unl,1)*[1 -0.5]+(X(:,1)*[1 1]).*[cos(X(:,2)) sin(X(:,2))];
Xu(1:nb_unl,:)=-Xu(1:nb_unl,:);


xmin=-4; xmax=4; ymin=-2.5; ymax=2.5;
[x,y] = meshgrid(xmin:(xmax-xmin)/50:xmax,ymin:(ymax-ymin)/50:ymax);
Xt=[reshape(x,prod(size(x)),1) reshape(y,prod(size(y)),1)];

