clear all;

sig = 1; % Width of the RBF kernel -> larger is faster
n = 50; % Number of unlabeled point per moon

% Generate the data
global K;
[Xl,Xu,Xt,Yl] = generate_two_moons(n,0.2);
K = compute_kernel([Xl; Xu],[Xl; Xu],sig);
Kt = compute_kernel(Xt,[Xl; Xu],sig);

params.C = 10; % C parameter (also = C^*) -> larger is faster
params.np = 1+n; % Balancing constraint: total number of positive points

% Do the training
[Yp, alpha, b, obj] = tsvm_bb([Yl; zeros(size(Xu,1),1)],params);

% Plot
Yt = Kt*alpha+b;
plot_toy_problem(Xl,Yl,Xu,Xt,Yt);
